# Package for Laravel Auth Middleware

This package will include all the necessary files needed for a new Laravel project to authenticate via the Auth Service. All info are mentioned here https://intergo.atlassian.net/wiki/spaces/ES/pages/2201944065/Add+Auth+Middleware+to+Authenticate+Users+on+a+Microservice

First, install the package via Composer:
```
composer require intergo/laravel-auth-middleware
```

------------------------------------------
<h2> Service Provider </h2>

You should publish the LaravelAuthMiddlewareServiceProvider:
```php
php artisan vendor:publish --provider="Intergo\LaravelAuthMiddleware\LaravelAuthMiddlewareServiceProvider" --tag=auth-middleware-config
```

Optional: The service provider will automatically get registered. Or you may manually add the service provider in your config/app.php file:
Laravel
```php
'providers' => [
// ...
Intergo\LaravelAuthMiddleware\LaravelAuthMiddlewareServiceProvider::class,
];
```
